# This must be manually updated:
%define upstreamversion 2.5.1-51

Name:           satellite-schema
Group:          Applications/Internet
Summary:        Red Hat Satellite schema upgrades and spacewalk-schema overrides
Version:        5.8.0.42
Release:        1%{?dist}
Source0:        %{name}-%{version}.tar.gz
License:        GPLv2
Url:            http://fedorahosted.org/spacewalk/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-build

BuildRequires:  spacewalk-schema-sanity

Requires:       spacewalk-schema >= %{upstreamversion}
Obsoletes:      rhn-satellite-schema < 5.3.0

%define rhnroot /etc/sysconfig/rhn

%description
satellite-schema package contains satellite schema upgrade scripts
and spacewalk-schema overrides.

%prep
%setup -q -n satellite-schema-%{version}

%build
make -f Makefile.schema
sed -i -e "s!SCHEMA_NAME!'%{name}'!" \
        -e "s!SCHEMA_VERSION!'%{version}'!" \
        -e "s!SCHEMA_RELEASE!'%{release}'!" schema-override/data/common/rhnVersionInfo.sql
for script in $(find upgrade/*to-satellite-schema-?.?* -name "*.sql"); do
	./spacewalk-oracle2postgresql $script > $script.postgresql
	mv $script $script.oracle
done

%install
rm -rf $RPM_BUILD_ROOT
install -m 0755 -d $RPM_BUILD_ROOT%{rhnroot}
install -m 0755 -d $RPM_BUILD_ROOT%{rhnroot}/schema-upgrade
install -m 0755 -d $RPM_BUILD_ROOT%{rhnroot}/oracle/schema-override
install -m 0755 -d $RPM_BUILD_ROOT%{rhnroot}/postgres/schema-override
install -m 0755 -d $RPM_BUILD_ROOT/etc/cron.daily
install -m 0755 schema-upgrade-notif $RPM_BUILD_ROOT/etc/cron.daily
tar cf - -C schema-override . | tar xf - -C $RPM_BUILD_ROOT%{rhnroot}/oracle/schema-override
tar cf - -C schema-override . | tar xf - -C $RPM_BUILD_ROOT%{rhnroot}/postgres/schema-override
tar cf - -C upgrade . | tar xf - -C $RPM_BUILD_ROOT%{rhnroot}/schema-upgrade

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{rhnroot}/schema-upgrade
%{rhnroot}/schema-upgrade/*
%{rhnroot}/oracle/schema-override
%{rhnroot}/postgres/schema-override
/etc/cron.daily/schema-upgrade-notif

%changelog
* Tue Feb 13 2018 Grant Gainey 5.8.0.42-1
- 1542287 - satellite-schema upgrade for installs that already applied
  incorrect 38-to-39
- 1542287 - purge records that would be violating unique constraint during
  fixup
- 1542287 - we don't have solaris table anymore

* Tue Feb 13 2018 Grant Gainey 5.8.0.41-1
- 1512446 - latest spacewalk-schema and upgraded satellite-schema are different

* Fri Jan 12 2018 Tomas Kasparek <tkasparek@redhat.com> 5.8.0.40-1
- 1528683 - lock entire table instead of locking rows one by one when in one
  org

* Tue Dec 19 2017 Jiri Dostal <jdostal@redhat.com> 5.8.0.39-1
- 1410737 - remove duplicate records in rhnPackageEVR table

* Wed Dec 06 2017 Grant Gainey 5.8.0.38-1
- 1481848 - Teach insert_into/delete_from_servergroup to play the lock_counts
  game

* Thu Nov 09 2017 Jiri Dostal <jdostal@redhat.com> 5.8.0.37-1
- Repair upgrade script path

* Tue Oct 31 2017 Tomas Kasparek <tkasparek@redhat.com> 5.8.0.36-1
- 1481848 1445415 1469744 1452362 - upgrade scripts for deadlock fixes

* Thu Oct 12 2017 Tomas Kasparek <tkasparek@redhat.com> 5.8.0.35-1
- fix mismatched sha1sums
- create postgresql equivalents for *oracle files
- run schema-source-sanity-check also for satellite-schema

* Tue Sep 05 2017 Jan Dobes 5.8.0.34-1
- 1466493 - referencing upgrade script

* Tue Aug 15 2017 Grant Gainey 5.8.0.33-1
- 1458880 - naming postgresql upgrade-script correctly

* Tue Aug 08 2017 Grant Gainey 5.8.0.32-1
- 1458880 - 5.8 schema-upgrade to lock snapshot path

* Thu May 11 2017 Grant Gainey 5.8.0.31-1
- 1381857 - add empty .oracle to make schema-upgrade happy

* Wed May 10 2017 Grant Gainey 5.8.0.30-1
- 1445868 - add to spacewalk-upgrade-list

* Mon May 08 2017 Grant Gainey 5.8.0.29-1
- 

* Wed May 03 2017 Tomas Kasparek <tkasparek@redhat.com> 5.8.0.28-1
- 1444072 - link the upgrade scripts for satellite

* Tue May 02 2017 Tomas Kasparek <tkasparek@redhat.com> 5.8.0.27-1
- 1444047, 1444519 - reference spacewalk upgrade scripts

* Wed Apr 12 2017 Grant Gainey 5.8.0.26-1
- 1416940 - revert DISTINCT from entitlement-count code - upgrade-scripts

* Wed Apr 05 2017 Jan Dobes 5.8.0.25-1
- 1434336 - reference spacewalk upgrade files

* Fri Mar 17 2017 Jiri Dostal <jdostal@redhat.com> 5.8.0.24-1
- 1433029 - Some of monitoring data are not removed from DB

* Mon Feb 13 2017 Tomas Kasparek <tkasparek@redhat.com> 5.8.0.23-1
- 1404692 - insert items missed in 5.6 -> 5.7 upgrade

* Mon Feb 13 2017 Jan Dobes 5.8.0.22-1
- 1401497 - reference upgrades

* Thu Feb 09 2017 Jiri Dostal <jdostal@redhat.com> 5.8.0.21-1
- 1332805 - The problematic editing of kickstart profile - custom options

* Thu Feb 02 2017 Tomas Kasparek <tkasparek@redhat.com> 5.8.0.20-1
- 1373819 - don't look up for monitoring_entitled servers during db population

* Tue Jan 31 2017 Tomas Kasparek <tkasparek@redhat.com> 5.8.0.19-1
- 1373819 - insert armv6hl during installation
- 1373819 - populate new installations with clientcert.update_client_cert
  action

* Tue Jan 03 2017 Grant Gainey 5.8.0.18-1
- 1402935 - Added override for rhn_channel fixes to avoid undesired SW changes
- require newer spacewalk-schema

* Fri Dec 16 2016 Grant Gainey 5.8.0.17-1
- 1402935 - Fix rhn_channel.unsubscribe_server deadlock

* Tue Dec 13 2016 Grant Gainey 5.8.0.16-1
- 1402933 - Fix Oracle version of lock_counts to correctly lock rhnServer row
- 1369559 - Added satellite-schema-upgrade for .24-to-.25

* Mon Nov 28 2016 Tomas Kasparek <tkasparek@redhat.com> 5.8.0.15-1
- create oracle upgrade path for dropping fucntions

* Thu Nov 24 2016 Tomas Kasparek <tkasparek@redhat.com> 5.8.0.14-1
- remove monitoring_entitled server group arch compatibility mappings from
  overrides

* Wed Nov 23 2016 Tomas Kasparek <tkasparek@redhat.com> 5.8.0.13-1
- remove monitoring entitlement from schema-overrides
- remove solaris from schema-override

* Wed Nov 16 2016 Tomas Kasparek <tkasparek@redhat.com> 5.8.0.12-1
- upgrades cleanup - add missing upgrade reference
- upgrades cleanup - drop unused functions

* Mon Nov 14 2016 Grant Gainey 5.8.0.11-1
- Fix delete_server proc and provide upgrade to avoid unneeded SW changes
- rename script so it's used for both oracle and postgres
- reference solaris removal in satellite upgrade
- upgrades cleanup - drop monitoring related procedure

* Thu Nov 10 2016 Gennadii Altukhov <galt@redhat.com> 5.8.0.10-1
- add Fedora24 keys to satellite schema upgrade

* Fri Oct 21 2016 Tomas Kasparek <tkasparek@redhat.com> 5.8.0.9-1
- use postgresql data types for upgrades on postgresql

* Fri Oct 21 2016 Tomas Kasparek <tkasparek@redhat.com> 5.8.0.8-1
- remove unused upgrade path

* Thu Oct 20 2016 Jan Dobes 5.8.0.7-1
- referencing in satellite upgrade

* Tue Oct 18 2016 Grant Gainey 5.8.0.6-1
- 1179770 - deadlocks in register/delete server paths

* Wed Oct 12 2016 Grant Gainey 5.8.0.5-1
- Update Satellite to Red Hat Satellite (trademark)

* Mon Oct 10 2016 Tomas Kasparek <tkasparek@redhat.com> 5.8.0.4-1
- Revert "don't create/alter tables created/altered by previous erratas"
- insert values only if they don't exist
- create table only if it does not exist
- alter table if the column does not exist

* Thu Oct 06 2016 Tomas Kasparek <tkasparek@redhat.com> 5.8.0.3-1
- don't create/alter tables created/altered by previous erratas
- don't add debian specific values
- fix typo in upgrade path

* Wed Oct 05 2016 Tomas Kasparek <tkasparek@redhat.com> 5.8.0.2-1
- add upgrade path to 5.8

* Mon Aug 29 2016 Tomas Kasparek <tkasparek@redhat.com> 5.8.0.1-1
- remove unneeded spacewalk-schema override
- updating copyright years

* Thu Aug 11 2016 Tomas Kasparek <tkasparek@redhat.com> 5.8.0.0-1
- we don't need monitoring related db overrides anymore

* Wed Mar 09 2016 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.23-1
- 1268799 - taskomatic records for uuid cleanup
- 1268799 - remove uuid cleanup from database level

* Tue Feb 09 2016 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.22-1
- 1268799 - delete trigger if does exist before creating it

* Mon Feb 01 2016 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.21-1
- 1290078 - purge uuid records after deleting a system

* Tue Nov 03 2015 Jan Dobes 5.7.0.20-1
- 608355 - satellite schema changes

* Tue Aug 04 2015 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.19-1
- 1227335 - satellite upgrade - prevent inserting duplicate
  update_server_errata_cache tasks

* Mon Aug 03 2015 Grant Gainey 5.7.0.18-1
- 1218768 - satellite schema changes

* Wed Jul 22 2015 Tomas Lestach <tlestach@redhat.com> 5.7.0.17-1
- 1245540 - satellite schema changes

* Thu Jun 25 2015 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.16-1
- 1205328 - satellite-schema upgrade scripts
- 1210011 - satellite-schema upgrade scripts
- 1226360 - satellite-schema upgrade scripts

* Wed May 06 2015 Stephen Herr <sherr@redhat.com> 5.7.0.15-1
- 1215671 - create satellite schema upgrade script

* Thu Apr 09 2015 Tomas Lestach <tlestach@redhat.com> 5.7.0.14-1
- fix satellite-schema directories

* Thu Apr 02 2015 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.13-1
- 1128989 - Oracle alter table xxx add column syntax differs from PostgreSQL
  one

* Mon Mar 30 2015 Stephen Herr <sherr@redhat.com> 5.7.0.12-1
- 1128989 - copying schema change to satellite upgrade dir

* Fri Dec 05 2014 Michael Mraka <michael.mraka@redhat.com> 5.7.0.11-1
- 1021057 - include upgrade to satellite 5.6 to 5.7 upgrade

* Wed Dec 03 2014 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.10-1
- name upgrades files for 2.2 to 2.3 upgrade by their names

* Wed Dec 03 2014 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.9-1
- don't use whole 2.0 -> 2.1 directory for 5.5 -> 5.6 portion of upgrades

* Wed Nov 26 2014 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.8-1
- do not create indexes created by schema erratas
- do not alter tables already altered by schema erratas

* Thu Nov 13 2014 Stephen Herr <sherr@redhat.com> 5.7.0.7-1
- 1163980 - update schema-override for new arches virt-host-platform
  entitlements

* Fri Nov 07 2014 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.6-1
- separate schema overrides for Postgresql and Oracle

* Thu Oct 02 2014 Stephen Herr <sherr@redhat.com> 5.7.0.5-1
- 1138708 - updating schema-override data to include aarch64 and ppc64le arches

* Thu Sep 25 2014 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.4-1
- don't lookup debian specific values during upgrades
- don't lookup debian specific values during db population

* Wed Sep 17 2014 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.3-1
- apply add-column-csv-separator.sql during upgrades
- don't require debian specific schema upgrade script
- do not apply schema erratas
- fix file name

* Wed Sep 17 2014 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.2-1
- fix file names

* Wed Sep 10 2014 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.1-1
- schema upgrade path for Satellite 5.7

* Tue Sep 02 2014 Tomas Kasparek <tkasparek@redhat.com> 5.6.0.20-1
- Revert "1077365 - Fixing sha sum for oracle source"

* Wed Jun 18 2014 Stephen Herr <sherr@redhat.com> 5.6.0.19-2
- 1077365 - Fixing sha sum for oracle source

* Wed Jun 18 2014 Stephen Herr <sherr@redhat.com> 5.6.0.19-1
- 1077365 - copying updates to satellite-schema and initializing channel_id

* Wed Mar 19 2014 Jan Dobes 5.6.0.18-1
- 1075990 - increase length of rhnCVE name column

* Tue Feb 18 2014 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.17-1
- 1020965 - update rhnServer after queue_server to avoid a deadlock

* Mon Feb 17 2014 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.16-1
- 1020965 - fix ORA-01422 error when removing a channel

* Fri Feb 14 2014 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.15-1
- 1020965 - fix fix ORA-01403: no data found, when (un)subscribing a system

* Wed Feb 12 2014 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.14-1
- 1020965 - lock rhnServerNeededCache to avoid a db deadlock

* Tue Feb 11 2014 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.13-1
- 1020965 - alter base channel via ssm: fix database deadlocks

* Thu Nov 21 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.12-1
- 1024826 - separate schema upgrades for PostgreSQL and Oracle

* Thu Nov 21 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.11-1
- 1024826 - delete child records in distChannelMap table

* Tue Aug 20 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.10-1
- rename schema upgrade scripts for Oracle upgrades

* Tue Aug 20 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.9-1
- Rename files to apply schema overrides for 5.4 and 5.5 schema upgrades

* Wed Aug 07 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.8-1
- Satellite schema upgrades: split the scripts for Oracle and PG

* Tue Aug 06 2013 Tomas Kasparek <tkasparek@redhat.com> 5.6.0.7-1
- Branding clean-up (RHN Satellite -> RH Satellite)
- include spacewalk 2.0 upgrades to satellite

* Tue Jun 25 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.6-1
- Satellite 5.6 beta1 -> beta2 schema upgrade path

* Wed Jun 05 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.5-1
- schema rebranding fixes

* Thu May 23 2013 Tomas Kasparek <tkasparek@redhat.com> 5.6.0.4-1
- changing product name in database strings

* Thu Apr 18 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.3-1
- schema upgrade and migration fixes

* Tue Apr 09 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.2-1
- remove extraneous scripts from schema upgrade

* Fri Apr 05 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.1-1
- satellite-schema for Satellite 5.6
- Schema upgrade path for Satellite 5.6

* Mon Feb 11 2013 Tomas Lestach <tlestach@redhat.com> 5.5.0.17-1
- adaptation of satellite-schema

* Fri Feb 08 2013 Tomas Lestach <tlestach@redhat.com> 5.5.0.16-1
- creating satellite-schema upgrade

* Mon Sep 10 2012 Jan Pazdziora 5.5.0.15-1
- Bumping up the target version for package respin.
- 849018 - We need to recreate the index.

* Mon Sep 10 2012 Jan Pazdziora 5.5.0.14-1
- 854686 - Fixing the rhn_command.command_class default.
- 849018 - schema upgrade scripts for extending rhnPackageCapability.version.

* Thu Jun 14 2012 Jan Pazdziora 5.5.0.13-1
- Disable rhn_channel_mod_trig while updating rhnChannel, so that last_modified
  does not get modified.

* Fri May 25 2012 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.12-1
- correctly update filelist

* Fri May 25 2012 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.11-1
- separate schema overrides for oracle and postgresql

* Thu May 10 2012 Jan Pazdziora 5.5.0.10-1
- We need to do escaping for PostgreSQL of overrides.

* Mon Apr 23 2012 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.9-1
- unify caps in product_name_mod_trig

* Fri Apr 20 2012 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.8-1
- add missing row into rhnTaskoTemplate
- don't update rhnPackageUpgradeArchCompat for 5.4 -> 5.5 upgrades

* Fri Apr 20 2012 Jan Pazdziora 5.5.0.7-1
- use correct job label (mzazrivec@redhat.com)
- add missing cleanup-timeseries-data task (mzazrivec@redhat.com)
- add missing schedule for cleanup-data-bunch (mzazrivec@redhat.com)
- fix rhnTaskoBunch upgrade data (mzazrivec@redhat.com)
- The CSDB_PASSWD was also removed in Spacewalk, in
  2033f6023dbb5257776db49c4482e9ecd6f17921.

* Thu Apr 19 2012 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.6-1
- Use conditional insert for package keys

* Mon Apr 16 2012 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.5-1
- schema overrides: use current_timestamp instead of sysdate

* Sun Apr 01 2012 Jan Pazdziora 5.5.0.4-1
- Fixing typo in rhnArchType data population.

* Tue Mar 20 2012 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.3-1
- schema upgrades for satellite-5.5

* Tue Mar 20 2012 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.2-1
- updated satellite-schema overrides

* Wed Mar 14 2012 Michael Mraka <michael.mraka@redhat.com> 5.5.0.1-1
- updated satellite schema version

* Thu Feb 02 2012 Tomas Lestach <tlestach@redhat.com> 5.4.0.19-1
- rename satellite upgrade scripts to have .sql extension (tlestach@redhat.com)

* Tue Jan 31 2012 Tomas Lestach <tlestach@redhat.com> 5.4.0.18-1
- require specific spacewalk-schema version (tlestach@redhat.com)
- adding satellite-schema upgrades for BZ 701767 & 782430 (tlestach@redhat.com)

* Wed Aug 17 2011 Tomas Lestach <tlestach@redhat.com> 5.4.0.17-1
- 722189 - upgrade script for satellite schema (tlestach@redhat.com)

* Thu Aug 11 2011 Tomas Lestach <tlestach@redhat.com> 5.4.0.16-1
- adding DB entries for complete errata cache regeneration
  (tlestach@redhat.com)

* Thu Aug 11 2011 Tomas Lestach <tlestach@redhat.com> 5.4.0.15-1
- satellite schema upgrade directory rename to follow the upgrade path
  (tlestach@redhat.com)

* Thu Aug 11 2011 Tomas Lestach <tlestach@redhat.com> 5.4.0.14-1
- 722189 - adding upgrade script for satellite schema (tlestach@redhat.com)

* Tue May 17 2011 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.13-1
- don't send schema notification during sat. installation

* Mon Apr 18 2011 Tomas Lestach <tlestach@redhat.com> 5.4.0.12-1
- adding satellite-schema upgrade script for BZ#644349 (tlestach@redhat.com)
- 696663 - variable name fix (mzazrivec@redhat.com)
- include post 5.4 schema changes into < 5.4 -> 5.4.1 schema upgrades
  (mzazrivec@redhat.com)
- verbatim copy of rhn_entitlements package body for bug #671450
  (mzazrivec@redhat.com)
- 696700 - insert new gpg keys only if they don't exist (mzazrivec@redhat.com)
- 696663 - schema upgrade cron notification (mzazrivec@redhat.com)

* Thu Mar 31 2011 Tomas Lestach <tlestach@redhat.com> 5.4.0.11-1
- require specific spacewalk-schema version (tlestach@redhat.com)
- add BZ#671450 to be applied by satellite schema upgrade (tlestach@redhat.com)

* Tue Mar 15 2011 Michael Mraka <michael.mraka@redhat.com> 5.4.0.10-1
- 671464 - added schema upgrade for new keys

* Fri Jan 07 2011 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.9-1
- schema fixes for #668007, #668004, #668002

* Tue Oct 05 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.8-1
- 640335 - remove Debian data from Satellite 5.4 schema

* Fri Oct 01 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.7-1
- consistent white spaces in rhnActionType

* Fri Oct 01 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.6-1
- include rhnActionType data updates (bug 509206)

* Fri Sep 24 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.4-1
- drop rhn_reporegenq_id_nn in satellite schema upgrades
- rhnActionType override needs to match its counterpart

* Wed Sep 08 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.3-1
- fix problem with overlaping sql scripts

* Thu Aug 26 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.2-1
- enable schema upgrades for Satellite 5.4

* Tue Aug 24 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.1-1
- update schema-overrides for Satellite 5.4

* Tue Jul 14 2009 Brad Buckingham <bbuckingham@redhat.com> 5.3.0.23-1
- 511134 - fixing issue where upgrades from 3.7 would leave kickstart --urls in
  a state that wouldnt work (jsherril@redhat.com)
- 511091 - fixing issue where after upgrades, some profiles were set to a virt
  type of kvm (jsherril@redhat.com)

* Tue Jul 07 2009 Brad Buckingham <bbuckingham@redhat.com> 5.3.0.22-1
- 509029 - schema/upgrade - update the text used for action type =
  kickstart_guest.initiate (bbuckingham@redhat.com)

* Mon May 18 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.21-1
- upgrade links were replaced with ref files

* Thu May 14 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.19-1
- added sql upgrade links for latest spacewalk-schema

* Wed May 06 2009 Devan Goodwin <dgoodwin@redhat.com> 5.3.0.18-1
- removed rhnFAQClass, rhnFAQ overrides (mzazrivec@redhat.com)

* Mon Apr 27 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.17-1
- added sql upgrade scripts from spacewalk-schema-0.5.20-8

* Wed Apr 22 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.16-1
- added sql upgrade scripts from spacewalk-schema-0.5.20-6

* Mon Apr 20 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.15-1
- 487319 - adding upgrade scripts from pre goldmember era (mzazrivec@redhat.com)

* Wed Apr 15 2009 Milan Zazrivec 5.3.0.14-1
- added sql upgrade scripts from spacewalk-schema-0.5.20-5

* Tue Apr 07 2009 Milan Zazrivec 5.3.0.13-1
- added sql upgrade scripts for bugs: 494475, 460136, 480060

* Tue Mar 31 2009 Milan Zazrivec 5.3.0.12-1
- added sql upgrade scripts from spacewalk-schema-0.5.20-1

* Thu Mar 12 2009 Milan Zazrivec 5.3.0.11-1
- added sql upgrade scripts from spacewalk-schema-0.5.17-1

* Thu Feb 19 2009 Milan Zazrivec 5.3.0.10-1
- added sql upgrade scripts from spacewalk-schema-0.5.9-1

* Fri Feb 13 2009 Milan Zazrivec 5.3.0.9-6
- added sql upgrade scripts from spacewalk-schema-0.5.7

* Wed Feb 11 2009 Milan Zazrivec 5.3.0.9-5
- added sql upgrade scripts from spacewalk-schema-0.5.4

* Fri Feb 06 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.9-4
- bump upstreamversion
- make the requires >= instead of =

* Fri Jan 23 2009 jesus m. rodriguez 5.3.0.9-3
- rebuild

* Fri Jan 23 2009 Milan Zazrivec 5.3.0.9-1
- requires latest spacewalk-schema (ver. 0.5.2)
- obsolete rhn-satellite-schema < 5.3.0

* Fri Jan 23 2009 Jan Pazdziora 5.3.0.7-1
- bump version to jump over previous tags (from spacewalk-schema)

* Fri Jan 23 2009 Jan Pazdziora 5.3.0.1-1
- minor changes

* Fri Jan 23 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.0-1
- initial packaging
